Package org.apache.activemq.artemis.uri.schema.connector

## Class TCPTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>
  - - org.apache.activemq.artemis.uri.schema.connector.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.schema.connector.TCPTransportConfigurationSchema

- Direct Known Subclasses:
    `TCPAcceptorTransportConfigurationSchema`

      public class TCPTransportConfigurationSchema
      extends AbstractTransportConfigurationSchema

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TCPTransportConfigurationSchema​(java.util.Set<java.lang.String> allowableProperties)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getFactoryName​(java.net.URI uri)` |
    `java.lang.String` | `getSchemaName()` |
    `static java.util.List<TransportConfiguration>` | `getTransportConfigurations​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.util.Set<java.lang.String> allowableProperties, java.lang.String name, java.lang.String factoryName)` |
    `protected java.util.List<TransportConfiguration>` | `internalNewObject​(java.net.URI uri, java.util.Map<java.lang.String,​java.lang.String> query, java.lang.String name)` |
    `protected java.net.URI` | `internalNewURI​(java.util.List<TransportConfiguration> bean)` |

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, internalPopulateObject, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TCPTransportConfigurationSchema

          public TCPTransportConfigurationSchema​(java.util.Set<java.lang.String> allowableProperties)

  - ### Method Detail

    - #### getSchemaName

          public java.lang.String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`

    - #### internalNewObject

          protected java.util.List<TransportConfiguration> internalNewObject​(java.net.URI uri,
                                                                             java.util.Map<java.lang.String,​java.lang.String> query,
                                                                             java.lang.String name)
                                                                      throws java.lang.Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### internalNewURI

          protected java.net.URI internalNewURI​(java.util.List<TransportConfiguration> bean)
                                         throws java.lang.Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<java.util.List<TransportConfiguration>,​java.lang.String>`
      Throws:
        `java.lang.Exception`

    - #### getTransportConfigurations

          public static java.util.List<TransportConfiguration> getTransportConfigurations​(java.net.URI uri,
                                                                                          java.util.Map<java.lang.String,​java.lang.String> query,
                                                                                          java.util.Set<java.lang.String> allowableProperties,
                                                                                          java.lang.String name,
                                                                                          java.lang.String factoryName)
                                                                                   throws java.net.URISyntaxException

      Throws:
        `java.net.URISyntaxException`

    - #### getFactoryName

          protected java.lang.String getFactoryName​(java.net.URI uri)